List organization advertisers (owned advertisers and relationships)
curl --request GET \
--url https://api.semicola.com/api/v2/organization/advertisers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/organization/advertisers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/organization/advertisers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"entries": [
{
"rosterEntryId": "<string>",
"advertiserId": "<string>",
"displayName": "<string>",
"relationshipClass": "owned",
"operatorRelationship": "organization",
"operatingMode": "managed",
"sandbox": true,
"system": true,
"binding": {
"provenance": "compatibility_account",
"state": "resolved",
"reason": "backing_account_missing"
},
"backing": {
"kind": "compatibility_account",
"accountId": 123,
"advertiserId": "<string>"
},
"delegation": null,
"capabilities": {
"read": true,
"advertiserManagement": "available",
"campaignManagement": "available",
"relationshipManagement": "available"
},
"readiness": {
"state": "ready"
},
"accountSetupState": "needs_setup",
"accountSetupRelationshipId": "<string>",
"buysCount": 4503599627370495,
"lastActivityAt": "<string>",
"brandDomain": "<string>"
}
],
"unresolvedCounterpartyRelationships": [
{
"rosterEntryId": "<string>",
"displayName": "<string>",
"relationshipClass": "counterparty",
"operatorRelationship": "unresolved",
"operatingMode": "unresolved",
"sandbox": true,
"binding": {
"provenance": "adcp_account",
"state": "partial",
"reason": "backing_account_ineligible"
},
"backing": {
"kind": "authorized_relationship",
"relationshipRef": "<string>"
},
"capabilities": {
"read": true,
"advertiserManagement": "unavailable",
"campaignManagement": "unavailable",
"relationshipManagement": "available"
},
"readiness": {
"state": "incomplete"
}
}
],
"lifecycles": [
{
"lifecycleId": "<string>",
"displayName": "<string>",
"provisioningMode": "managed",
"state": "invited",
"advertiserId": "<string>",
"targetAccountId": 0,
"managementCapability": "available",
"joinLink": null,
"failure": {
"code": "<string>",
"recoverable": true
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"page": {
"limit": 123,
"truncated": true
},
"deliveredRelationshipClasses": [
"owned"
],
"lenses": {
"house": {
"needsSetupCount": 4503599627370495
},
"partnerManaged": {
"needsSetupCount": 4503599627370495
},
"selfServe": {
"needsSetupCount": 4503599627370495
},
"system": {
"needsSetupCount": 4503599627370495
}
}
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Advertisers
List organization advertisers (owned advertisers and relationships)
GET
/
api
/
v2
/
organization
/
advertisers
List organization advertisers (owned advertisers and relationships)
